- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# /home/manjula/release/c/deploy/include/axis2-1.6.0/axutil_hash.h

Start iterating over the entries in a hash table.

Parameters:

  | ht | The hash table
  | p | The environment to allocate the axutil_hash_index_t iterator. If this environment is NULL, then an internal, non-thread-safe iterator is used.

Remarks:
  There is no restriction on adding or deleting hash entries during an iteration (although the results may be unpredictable unless all you do is delete the current entry) and multiple iterations can be in progress at the same time.